Skip to main content
GET
cURL

Authorizations

Authorization
string
header
required

A Liquid API key from the API keys page of Liquid Console, sent as Authorization: Bearer $LIQUID_API_KEY.

Path Parameters

id
string
required

The file id.

Example:

"file_abc123"

Response

200 - application/json

Successful response.

id
string

The file id, referenced when creating a batch.

object
string

Always "file".

bytes
integer

Size of the file in bytes.

created_at
integer

Unix timestamp (seconds) of creation.

filename
string

The name the file was uploaded with.

purpose
string

Either "batch" (an input) or "batch_output" (a generated result/error file).

status
string

Always "processed"; stored files are ready.

expires_at
integer

Unix timestamp (seconds) when the file expires, if set.